aboutsummaryrefslogtreecommitdiff
path: root/stash.sh
diff options
context:
space:
mode:
Diffstat (limited to 'stash.sh')
-rwxr-xr-xstash.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/stash.sh b/stash.sh
new file mode 100755
index 0000000..999f37e
--- /dev/null
+++ b/stash.sh
@@ -0,0 +1,27 @@
+#! /bin/sh
+
+. etc/git/modules
+
+wd=`pwd`
+
+for i in $modules; do
+ echo "stash $i" 1>&2
+ cd $i
+
+ if [ "$1" = "pop" -o "$1" = "apply" ]; then
+ l=`git stash list`
+ if [ -z "$l" ]; then
+ cd $wd
+ continue
+ fi
+ fi
+
+ git stash $*
+
+ if [ $? -ne 0 ]; then
+ echo "stash FAILED" 1>&2
+ exit 1
+ fi
+
+ cd $wd
+done